--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}

local addonName, addon = ...
addon[1] = {} -- Gloable
addon[2] = {} -- Function
addon[3] = {} -- Config
addon[4] = {} -- Locale

local G, F, C, L = unpack(select(2,...))

local locale = GetLocale()
local L = {
    enterCombat = { default = "FIGHT!!!"},
    leaveCombat = { default = "Relax..."},
}
local alertFrame = CreateFrame("Frame")
alertFrame:SetSize(400, 65)
alertFrame:SetPoint("CENTER", 0, 180)
alertFrame:SetScale(1.3)
alertFrame:Hide()

alertFrame.text = alertFrame:CreateFontString(nil, "ARTWORK", "GameFont_Gigantic")
alertFrame.text:SetPoint("CENTER")
alertFrame:SetScript("OnUpdate", function(self, elapsed)
if Inked.db.profile.UseCAS == false then return end	
    self.timer = self.timer + elapsed
    if (self.timer > self.totalTime) then self:Hide() end
    if (self.timer <= 0.5) then
        self:SetAlpha(self.timer * 2)
    elseif (self.timer > 2) then
        self:SetAlpha(1-self.timer/self.totalTime)
    end
end)
alertFrame:SetScript("OnShow", function(self)
if Inked.db.profile.UseCAS == false then return end	
    self.totalTime = 3.2
    self.timer = 0
end)
alertFrame:SetScript("OnEvent", function(self, event, ...)
if Inked.db.profile.UseCAS == false then return end	
    self:Hide()
    if (event == "PLAYER_REGEN_DISABLED") then
        self.text:SetText(L.enterCombat[locale] or L.enterCombat.default)
    elseif (event == "PLAYER_REGEN_ENABLED") then
        self.text:SetText(L.leaveCombat[locale] or L.leaveCombat.default)
    end
    self:Show()
end)
alertFrame:RegisterEvent("PLAYER_REGEN_ENABLED")
alertFrame:RegisterEvent("PLAYER_REGEN_DISABLED")

local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
		if Inked.db.profile.UseCAS == false then return end											
		end)